### Constructor

# Camel VeeFolder new

#### Declaration [src]

    CamelFolder*
    camel_vee_folder_new (
      CamelStore* parent_store,
      const gchar* full,
      guint32 flags
    )

#### Description

No description available.

#### Parameters

`parent_store`

  Type: `CamelStore`

  The parent CamelVeeStore.

  The data is owned by the caller of the function.

`full`

  Type: `const gchar*`

  The full path to the vfolder.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint32`

  Flags of some kind.

#### Return value

Type: `CamelFolder`

A new `CamelVeeFolder` object. Unref it with `g_object_unref()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.